summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOthmar Gsenger <otti@anytun.org>2012-01-05 21:56:39 (GMT)
committerOthmar Gsenger <otti@anytun.org>2012-01-05 21:56:39 (GMT)
commit531602445b407aabb6deab8af64d85adf1f1592c (patch)
tree0446c2e0feb27dbc6439845193c2d3a91425396b
parent2019e311b10bc56d0ab99759d7a8a42a85b97dc0 (diff)
bugfix build boost
-rwxr-xr-xcontrib/build-boost-mingw-cross.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/contrib/build-boost-mingw-cross.sh b/contrib/build-boost-mingw-cross.sh
index bdad77d..05ea169 100755
--- a/contrib/build-boost-mingw-cross.sh
+++ b/contrib/build-boost-mingw-cross.sh
@@ -12,10 +12,10 @@ cd boost_${BOOST_DASH}
patch -p1 < ../boost_project-config.patch
for target in w32 w64; do
- ./b2 --layout=system variant=release threading=multi link=shared runtime-link=shared toolset=gcc-$target target-os=windows threadapi=win32 stage
+ ./b2 --layout=system variant=release threading=multi link=shared runtime-link=shared toolset=gcc-$target target-os=windows threadapi=win32 stage || true
mkdir -p ../boost-$target/include
mv stage/lib ../boost-$target/
cp -r boost ../boost-$target/include
- ./b2 --layout=system variant=release threading=multi link=shared runtime-link=shared toolset=gcc-$target target-os=windows threadapi=win32 stage --clean
+ ./b2 --layout=system variant=release threading=multi link=shared runtime-link=shared toolset=gcc-$target target-os=windows threadapi=win32 stage --clean || true
done
rm -rf boost_${BOOST_DASH}